﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewVirtualCoinDb(engine *xorm.Engine) dao.VirtualCoinDao {
	return &VirtualCoinDb{Db: engine}
}

type VirtualCoinDb struct {
	Db *xorm.Engine
}

func (v VirtualCoinDb) VirtualCoinFindAllAndCount(pageSize, page int) (kindList []model.VirtualCoin, total int64, err error) {
	var m []model.VirtualCoin
	total, err = v.Db.Where("is_use = ?", 1).Asc("id").Limit(pageSize, (page-1)*pageSize).FindAndCount(&m)
	if err != nil {
		return nil, 0, zhios_order_relate_logx.Error(err)
	}
	return m, total, nil
}
